#include <cstdio>
#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#include "testlib.h"

using namespace std;

string names[3] = {"Anna", "Igor", "Katya"};
vector<int> all;

int main(int argc, char * argv[]) {
	
	
	registerGen(argc, argv, 1);
	int n = atoi(argv[1]);
	
	ensure(n <= 25);
	
	cout << names[0] << " " << names[1] << " " << names[2] << endl;
	
	for (int i = 1; i <= 5; i++)
		for(int j = 1; j <= 5; j++) 
			all.push_back(i * 100);
		
	shuffle(all.begin(), all.end());
	
	for (int i = 0; i < n; i++)
	{
		int who = rnd.next(3);
		int sgn = rnd.next(2);
		if (!sgn)
			sgn = -1;
		cout << names[who] << " " << sgn * all[i] << endl;
	}
	cout << "GAME OVER" << endl;
	
	
	
	return 0;
}
